use serde::{Deserialize, Serialize};

pub mod simulation;
pub mod wire;

#[derive(Debug, PartialEq, Eq, Clone, Copy, Deserialize)]
pub struct Coord {
    x: u8,
    y: u8,
}

#[derive(Debug, PartialEq, Eq, Clone, Copy, Serialize)]
pub enum Direction {
    /// Move in positive y direction
    Up,
    /// Move in negative y direction
    Down,
    /// Move in negative x direction
    Left,
    /// Move in positive x direction
    Right,
}
